/***************************************************************************
 *   Copyright (C) 2009-2010 by Dr. Oliver Heidbüchel                      *
 *                         (post@oliver-heidbuechel.de)                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA            *
 ***************************************************************************/

#include <KAboutData>
#include <KApplication>
#include <KCmdLineArgs>
 
#include "mainwindow.h"

int main(int argc, char *argv[])
{
  KAboutData aboutData("ksoprano", 
		       "ksoprano",
		       ki18n("KSoprano"), 
		       "0.2",
		       ki18n("A gui for manipulating and querying the nepomuk repository"),
		       KAboutData::License_GPL,
		       ki18n("Copyright (c) Dr. Oliver Heidbüchel"));
  KCmdLineArgs::init(argc, argv, &aboutData);
  KApplication app;
 
  MainWindow* window = new MainWindow();
  window->show();
  return app.exec();
}



